%global pypi_name dictdiffer

%bcond_with check

Name:       python-%{pypi_name}
Version:    0.9.0
Release:    %mkrel 3
Summary:    Dictdiffer is a library that helps you to diff and patch dictionaries
Group:      Development/Python
License:    MIT
URL:        https://pypi.org/project/dictdiffer/
Source0:    %pypi_source
BuildArch:  noarch
BuildRequires:  python3-devel

%description
Dictdiffer is a helper module that helps you to diff and patch dictionaries.

%package -n python3-%{pypi_name}
Summary: %{summary}
Group:      Development/Python
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
Dictdiffer is a helper module that helps you to diff and patch dictionaries.

%prep
%setup -q -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dictdiffer

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc LICENSE


%changelog
* Sat Mar 01 2025 wally <wally> 0.9.0-3.mga10
+ Revision: 2154706
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 0.9.0-2.mga10
+ Revision: 2017326
- rebuild for python3.12
- adapt to pyproject

* Mon Mar 21 2022 guillomovitch <guillomovitch> 0.9.0-1.mga9
+ Revision: 1815377
- imported package python-dictdiffer

